﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;


namespace Equis.Tanks
{
    class GameObject
    {
        public Texture2D Sprite;

        public float Width
        {
            get { return Sprite.Width; }
        }

        public float Height
        {
            get { return Sprite.Height; }
        }

        public float Rotation;
        public Vector2 Position;
        public Vector2 Centre;
        public float Velocity;

        public bool Alive;

        public GameObject(Texture2D sprite)
        {
            Sprite = sprite;
            Centre = new Vector2(sprite.Width / 2, sprite.Height / 2);
            Rotation = 0.0f;
            Position = Vector2.Zero;
            Velocity = 0;
            Alive = true;
        }
    }


    class GameObjects : List<GameObject>
    {

    }
}
